model = {
             'dac': {1: {'enabled': False,
             'neg_limit_raw': 0,
             'neg_limit_voltage': 0.9015996093749999,
             'pos_limit_raw': 0,
             'pos_limit_voltage': 0.9015996093749999,
             'raw': 0,
             'voltage': 0.9015996093749999},
         2: {'enabled': False,
             'neg_limit_raw': 0,
             'neg_limit_voltage': 0.9015996093749999,
             'pos_limit_raw': 0,
             'pos_limit_voltage': 0.9015996093749999,
             'raw': 0,
             'voltage': 0.9015996093749999},
         3: {'enabled': False,
             'neg_limit_raw': 0,
             'neg_limit_voltage': 0.9015996093749999,
             'pos_limit_raw': 0,
             'pos_limit_voltage': 0.9015996093749999,
             'raw': 0,
             'voltage': 0.9015996093749999},
         4: {'enabled': False,
             'neg_limit_raw': 0,
             'neg_limit_voltage': 0.9015996093749999,
             'pos_limit_raw': 0,
             'pos_limit_voltage': 0.9015996093749999,
             'raw': 0,
             'voltage': 0.9015996093749999},
         5: {'enabled': False,
             'neg_limit_raw': 0,
             'neg_limit_voltage': 0.9015996093749999,
             'pos_limit_raw': 0,
             'pos_limit_voltage': 0.9015996093749999,
             'raw': 0,
             'voltage': 0.9015996093749999},
         6: {'enabled': False,
             'neg_limit_raw': 0,
             'neg_limit_voltage': 0.9015996093749999,
             'pos_limit_raw': 0,
             'pos_limit_voltage': 0.9015996093749999,
             'raw': 0,
             'voltage': 0.9015996093749999}},
 'inputs': {'aux1': {'adc': {'fault': False,
                             'limit': False,
                             'overvoltage': False,
                             'raw': 0,
                             'undervoltage': False,
                             'volts': 0.0},
                     'range': {'adc_high': 6.0, 'high': 5.0, 'low': 0},
                     'type' : "aux"},
            'aux2': {'adc': {'fault': False,
                             'limit': False,
                             'overvoltage': False,
                             'raw': 0,
                             'undervoltage': False,
                             'volts': 0.0},
                     'range': {'adc_high': 6.0, 'high': 5.0, 'low': 0},
                     'type' : "aux"},
            'vh': {'adc': {'fault': False,
                           'limit': False,
                           'overvoltage': False,
                           'raw': 0,
                           'undervoltage': False,
                           'volts': 0.0},
                   'ov_fault_enabled': True,
                   'ov_hysteresis': 0.03125,
                   'ov_hysteresis_raw': 1,
                   'ov_threshold': 12.625,
                   'ov_threshold_raw': 212,
                   'range': {'adc_high': 14.4,
                             'comment': 'High range (6V to 14V)',
                             'high': 14.0,
                             'low': 6.0},
                   'uv_fault_enabled': False,
                   'uv_hysteresis': 0.03125,
                   'uv_hysteresis_raw': 1,
                   'uv_threshold': 10.75,
                   'uv_threshold_raw': 152,
                   'type' : "vh"},
            'vp1': {'adc': {'fault': False,
                            'limit': False,
                            'overvoltage': False,
                            'raw': 0,
                            'undervoltage': False,
                            'volts': 0.0},
                    'ov_fault_enabled': True,
                    'ov_hysteresis': 0.0,
                    'ov_hysteresis_raw': 0,
                    'ov_threshold': 2.5,
                    'ov_threshold_raw': 0,
                    'range': {'adc_high': 6.0,
                              'comment': 'Midrange (2.5V to 6V)',
                              'high': 6.0,
                              'low': 2.5},
                    'uv_fault_enabled': False,
                    'uv_hysteresis': 0.0,
                    'uv_hysteresis_raw': 0,
                    'uv_threshold': 2.5,
                    'uv_threshold_raw': 0,
                    'type' : "vp"},
            'vp2': {'adc': {'fault': False,
                            'limit': False,
                            'overvoltage': False,
                            'raw': 0,
                            'undervoltage': False,
                            'volts': 0.0},
                    'ov_fault_enabled': True,
                    'ov_hysteresis': 0.0,
                    'ov_hysteresis_raw': 0,
                    'ov_threshold': 2.5,
                    'ov_threshold_raw': 0,
                    'range': {'adc_high': 6.0,
                              'comment': 'Midrange (2.5V to 6V)',
                              'high': 6.0,
                              'low': 2.5},
                    'uv_fault_enabled': False,
                    'uv_hysteresis': 0.0,
                    'uv_hysteresis_raw': 0,
                    'uv_threshold': 2.5,
                    'uv_threshold_raw': 0,
                    'type' : "vp"},
            'vp3': {'adc': {'fault': False,
                            'limit': False,
                            'overvoltage': False,
                            'raw': 0,
                            'undervoltage': False,
                            'volts': 0.0},
                    'ov_fault_enabled': True,
                    'ov_hysteresis': 0.0,
                    'ov_hysteresis_raw': 0,
                    'ov_threshold': 2.5,
                    'ov_threshold_raw': 0,
                    'range': {'adc_high': 6.0,
                              'comment': 'Midrange (2.5V to 6V)',
                              'high': 6.0,
                              'low': 2.5},
                    'uv_fault_enabled': False,
                    'uv_hysteresis': 0.0,
                    'uv_hysteresis_raw': 0,
                    'uv_threshold': 2.5,
                    'uv_threshold_raw': 0,
                    'type' : "vp"},
            'vp4': {'adc': {'fault': False,
                            'limit': False,
                            'overvoltage': False,
                            'raw': 0,
                            'undervoltage': False,
                            'volts': 0.0},
                    'ov_fault_enabled': True,
                    'ov_hysteresis': 0.0,
                    'ov_hysteresis_raw': 0,
                    'ov_threshold': 2.5,
                    'ov_threshold_raw': 0,
                    'range': {'adc_high': 6.0,
                              'comment': 'Midrange (2.5V to 6V)',
                              'high': 6.0,
                              'low': 2.5},
                    'uv_fault_enabled': False,
                    'uv_hysteresis': 0.0,
                    'uv_hysteresis_raw': 0,
                    'uv_threshold': 2.5,
                    'uv_threshold_raw': 0,
                    'type' : "vp"},
            'vx1': {'adc': {'fault': False,
                            'gpi': False,
                            'limit': False,
                            'overvoltage': False,
                            'raw': 0,
                            'undervoltage': False,
                            'volts': 0.0},
                    'function': 'GPI (fault) only',
                    'ov_fault_enabled': True,
                    'ov_hysteresis': 0.0,
                    'ov_hysteresis_raw': 0,
                    'ov_threshold': 1.3718671875,
                    'ov_threshold_raw': 255,
                    'range': {'adc_high': 2.048,
                              'comment': 'Ultralow range (0.573V to 1.375V)',
                              'high': 1.375,
                              'low': 0.573},
                    'uv_fault_enabled': True,
                    'uv_hysteresis': 0.0,
                    'uv_hysteresis_raw': 0,
                    'uv_threshold': 0.573,
                    'uv_threshold_raw': 0,
                    'type' : "vx"},
            'vx2': {'adc': {'fault': False,
                            'gpi': False,
                            'limit': False,
                            'overvoltage': False,
                            'raw': 0,
                            'undervoltage': False,
                            'volts': 0.0},
                    'function': 'SFD (fault) only',
                    'ov_fault_enabled': True,
                    'ov_hysteresis': 0.059523437500000005,
                    'ov_hysteresis_raw': 19,
                    'ov_threshold': 0.8988125,
                    'ov_threshold_raw': 104,
                    'range': {'adc_high': 2.048,
                              'comment': 'Ultralow range (0.573V to 1.375V)',
                              'high': 1.375,
                              'low': 0.573},
                    'uv_fault_enabled': False,
                    'uv_hysteresis': 0.0,
                    'uv_hysteresis_raw': 0,
                    'uv_threshold': 0.573,
                    'uv_threshold_raw': 0,
                    'type' : "vx"},
            'vx3': {'adc': {'fault': False,
                            'gpi': False,
                            'limit': False,
                            'overvoltage': False,
                            'raw': 0,
                            'undervoltage': False,
                            'volts': 0.0},
                    'function': 'GPI (fault) only',
                    'ov_fault_enabled': True,
                    'ov_hysteresis': 0.0,
                    'ov_hysteresis_raw': 0,
                    'ov_threshold': 1.3718671875,
                    'ov_threshold_raw': 255,
                    'range': {'adc_high': 2.048,
                              'comment': 'Ultralow range (0.573V to 1.375V)',
                              'high': 1.375,
                              'low': 0.573},
                    'uv_fault_enabled': False,
                    'uv_hysteresis': 0.0,
                    'uv_hysteresis_raw': 0,
                    'uv_threshold': 1.3718671875,
                    'uv_threshold_raw': 255,
                    'type' : "vx"},
            'vx4': {'adc': {'fault': False,
                            'gpi': False,
                            'limit': False,
                            'overvoltage': False,
                            'raw': 0,
                            'undervoltage': False,
                            'volts': 0.0},
                    'function': 'SFD (fault) only',
                    'ov_fault_enabled': True,
                    'ov_hysteresis': 0.0,
                    'ov_hysteresis_raw': 0,
                    'ov_threshold': 1.2465546875,
                    'ov_threshold_raw': 215,
                    'range': {'adc_high': 2.048,
                              'comment': 'Ultralow range (0.573V to 1.375V)',
                              'high': 1.375,
                              'low': 0.573},
                    'uv_fault_enabled': False,
                    'uv_hysteresis': 0.0,
                    'uv_hysteresis_raw': 0,
                    'uv_threshold': 0.573,
                    'uv_threshold_raw': 0,
                    'type' : "vx"}},
 'pdo': {1: {'pullup': 'Weak open-drain pull-up to VDDCAP',
             'status': 'Enabled, follows the logic drivern by the Sequence '
                       'Engine'},
         2: {'pullup': 'Weak open-drain pull-up to VDDCAP',
             'status': 'Enabled, follows the logic drivern by the Sequence '
                       'Engine'},
         3: {'pullup': 'Weak open-drain pull-up to VDDCAP',
             'status': 'Enabled, follows the logic drivern by the Sequence '
                       'Engine'},
         4: {'pullup': 'Weak open-drain pull-up to VDDCAP',
             'status': 'Enabled, follows the logic drivern by the Sequence '
                       'Engine'},
         5: {'pullup': 'Weak open-drain pull-up to VDDCAP',
             'status': 'Enabled, follows the logic drivern by the Sequence '
                       'Engine'},
         6: {'pullup': 'None', 'status': 'Enables SMBus data, drive low'},
         7: {'pullup': 'None', 'status': 'Enables SMBus data, drive low'},
         8: {'pullup': 'None', 'status': 'Enables SMBus data, drive low'},
         9: {'pullup': 'None', 'status': 'Enables SMBus data, drive low'},
         10: {'pullup': 'None', 'status': 'Disabled with weak pull-down'}}}
